> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/api/zh/response-format.md).

# 响应格式

通用响应封装与错误处理指南

本文档说明合作伙伴服务器 API 的通用响应格式。

所有响应都用通用信封（envelope）包裹。

成功：

{% code collapsedlinecount="10" %}

```json
{"resultType": "SUCCESS", "success": { ... }}
```

{% endcode %}

失败：

{% code collapsedlinecount="10" %}

```json
{"resultType": "FAIL", "success": null, "error": {"errorType": 0, "errorCode": "4010", "reason": "...", "data": {}, "title": null}}
```

{% endcode %}

**业务错误以 HTTP 200 返回。** 请确认`resultType`是否为`SUCCESS`，并将所有不是`SUCCESS`的值都视为失败。请求格式错误（字段验证失败）返回 HTTP 400，未分类的服务器错误返回 HTTP 500。当超过请求限制时，会在 HTTP 200 中返回 `errorCode: "4095"` 和 `error.data.retryAfterSeconds`。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers-apps-in-toss.toss.im/api/zh/response-format.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
